Bug 1685227 - Operator should use imagePullPolicy: IfNotPresent [NEEDINFO]
Summary: Operator should use imagePullPolicy: IfNotPresent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node Tuning Operator
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: jmencak
QA Contact: Simon
URL:
Whiteboard:
Depends On: 1685219 1685224 1685225
Blocks: 1685228 1685229 1685230 1685232
TreeView+ depends on / blocked
 
Reported: 2019-03-04 17:33 UTC by Clayton Coleman
Modified: 2019-06-04 10:45 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1685225
: 1685228 (view as bug list)
Environment:
Last Closed: 2019-06-04 10:44:55 UTC
Target Upstream Version:
ecordell: needinfo? (ccoleman)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:44 UTC

Description Clayton Coleman 2019-03-04 17:33:49 UTC
+++ This bug was initially created as a clone of Bug #1685219 +++

Use imagePullPolicy: IfNotPresent instead of always in:

["openshift-cluster-node-tuning-operator","cluster-node-tuning-operator-659d8778cb-lhtlt"]
["openshift-cluster-node-tuning-operator","tuned-282zc"]
["openshift-cluster-node-tuning-operator","tuned-h5sm9"]
["openshift-cluster-node-tuning-operator","tuned-k259n"]
["openshift-cluster-node-tuning-operator","tuned-mmln2"]
["openshift-cluster-node-tuning-operator","tuned-tggnk"]
["openshift-cluster-node-tuning-operator","tuned-zkvxf"]

Comment 3 jmencak 2019-03-19 10:40:34 UTC
$ oc get clusterversion
oc vNAME      VERSION                        AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.0.0-0.ci-2019-03-19-070118   True        False         42m     Cluster version is 4.0.0-0.ci-2019-03-19-070118

$ oc get deploy -o json -n openshift-cluster-node-tuning-operator | jq '.items[].spec.template.spec.containers[].imagePullPolicy' 
"IfNotPresent"

Comment 4 Simon 2019-03-19 20:03:44 UTC
Retest positive:

./openshift-install version
./openshift-install v4.0.22-201903181722-dirty
built from commit 73da6fdc42f6c6d22beacf8f848b1c1d69cc63f9


oc get clusterversions
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.0.0-0.nightly-2019-03-19-004004   True        False         5h55m   Cluster version is 4.0.0-0.nightly-2019-03-19-004004

oc version --short
Client Version: v4.0.6
Server Version: v1.12.4+befe71b

oc get deploy -o json -n openshift-cluster-node-tuning-operator | jq '.items[].spec.template.spec.containers[].imagePullPolicy'
"IfNotPresent"

Test result as expected! :)

Comment 6 errata-xmlrpc 2019-06-04 10:44:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.